package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.vo.PromoAccountChoiceVO;
import com.zanxiang.manage.domain.vo.PromoPitcherChoiceVO;
import com.zanxiang.mybatis.entity.PromoAccount;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-11-04
 * @description : 推广账号
 */
public interface PromoAccountService extends IService<PromoAccount> {

    /**
     * 推广账号选择列表查询
     *
     * @return : 返回所有推广账号信息
     */
    List<PromoAccountChoiceVO> promoAccountChoiceList();

    /**
     * 投手选择列表查询
     *
     * @return : 返回所有投手信息
     */
    List<PromoPitcherChoiceVO> promoPitcherChoiceList();
}
